## org.eclipse.datatools.connectivity.oda.spec.result.filter
Class AndExpression

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.spec.result.FilterExpression
          org.eclipse.datatools.connectivity.oda.spec.result.filter.CompositeExpression
              org.eclipse.datatools.connectivity.oda.spec.result.filter.AndExpression

    public class AndExpression

extends CompositeExpression

A runtime composite filter expression whose child expressions are combined by the And boolean operator. This composite expression is evaluated to be true only if all its child expressions are evaluated as true.

Since:
  3.2 (DTP 1.7)

Constructor Summary
`AndExpression()`

Method Summary
`boolean` `equals(java.lang.Object object)`

Methods inherited from class org.eclipse.datatools.connectivity.oda.spec.result.filter.CompositeExpression
`add, childCount, getChildren, isNegatable, toString, validateSyntax`

Methods inherited from class org.eclipse.datatools.connectivity.oda.spec.result.FilterExpression
`getName, getQualifiedId, validate, validate`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AndExpression

    public AndExpression()

Method Detail

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    `equals` in class `java.lang.Object`